Get Developer Team

Retrieve a portal facing team a developer is a member of.

get
/api/v3/developer/teams/{teamId}

Path Parameters

teamIdstring(uuid)requiredread-only

Contains a unique identifier used for this resource.

Example:5f9fd312-a987-4628-b4c5-bb4f4fddd5f7

Response

application/json

Response from get developer team endpoint

DeveloperTeam

A portal facing team that a developer is a member of

* Additional properties are NOT allowed.
idstring(uuid)requiredread-only

Contains a unique identifier used for this resource.

Example:5f9fd312-a987-4628-b4c5-bb4f4fddd5f7

namestringrequired

<= 250 characters

Example:IDM - Developers

descriptionstring | null

<= 250 characters

Example:The Identity Management (IDM) team.

created_atstring(date-time)requiredread-only

An ISO-8601 timestamp representation of entity creation date.

Example:2022-11-04T20:10:06.927Z

updated_atstring(date-time)requiredread-only

An ISO-8601 timestamp representation of entity update date.

Example:2022-11-04T20:10:06.927Z

application/json

Get Developer Team Members

Retrieve developers on a portal facing team that the current developer is a member of.

get
/api/v3/developer/teams/{teamId}/developers

Query Parameters

page[size]integer

The maximum number of items to include per page. The last page of a collection may include fewer items.

Example:10

page[number]integer

Determines which page of the entities to retrieve.

Example:1

Path Parameters

teamIdstring(uuid)requiredread-only

Contains a unique identifier used for this resource.

Example:5f9fd312-a987-4628-b4c5-bb4f4fddd5f7

Response

application/json

Response from list developer team developers endpoint

ListDeveloperTeamDevelopersResponse

A paginated list of developers who are members of a team

* Additional properties are NOT allowed.
dataarrayrequired

A developer who is a member of a team

* Additional properties are NOT allowed.
Show Child Parameters
metaobjectrequired

returns the pagination information

Show Child Parameters
application/json

Developer

object

A user who can use a developer portal

* Additional properties are NOT allowed.
idstring(uuid)read-only

Contains a unique identifier used for this resource.

Example:5f9fd312-a987-4628-b4c5-bb4f4fddd5f7

emailstring(email)required

<= 250 characters

Example:developer@email.com

full_namestringrequired

Match pattern:^[\w \W]+$

<= 250 characters

Example:API Developer

created_atstring(date-time)read-only

An ISO-8601 timestamp representation of entity creation date.

Example:2022-11-04T20:10:06.927Z

updated_atstring(date-time)read-only

An ISO-8601 timestamp representation of entity update date.

Example:2022-11-04T20:10:06.927Z

Example

RegisterPayload

object

Payload required to be sent to register a developer to the
portal.

* Additional properties are allowed.
emailstring(email)required

Example:developer@konghq.com

full_namestringrequired

>= 1 characters<= 256 characters

Example:Jane Doe

Example

ResetPasswordPayload

object

Payload required to start the reset password flow

* Additional properties are NOT allowed.
emailstring(email)required

Example:developer@konghq.com

Example